## org.eclipse.m2m.atl.profiler.ui.profilingdatatable
Class TimeComparator

    java.lang.Object
      org.eclipse.jface.viewers.ViewerComparator
          org.eclipse.m2m.atl.profiler.ui.profilingdatatable.TimeComparator

    public class TimeComparator

extends org.eclipse.jface.viewers.ViewerComparator

A comparator for times.

Constructor Summary
`TimeComparator()` Default constructor, for ascendant sorting.
`TimeComparator(boolean asc)` Constructor for ascendant or descendant sorting.

Method Summary
`int` `compare(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object e1, java.lang.Object e2)`

Methods inherited from class org.eclipse.jface.viewers.ViewerComparator
`category, getComparator, isSorterProperty, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeComparator

    public TimeComparator()

  Default constructor, for ascendant sorting.

### TimeComparator

    public TimeComparator(boolean asc)

  Constructor for ascendant or descendant sorting.

  Parameters:
    `asc` - for ascendant or descendant sorting.

Method Detail

### compare

    public int compare(org.eclipse.jface.viewers.Viewer viewer,
                       java.lang.Object e1,
                       java.lang.Object e2)

  Overrides:
    `compare` in class `org.eclipse.jface.viewers.ViewerComparator`
  See Also:
    `ViewerComparator.compare(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.